# Generated by Django 4.0.1 on 2022-03-12 19:00

import custom_table.models.customizable
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='DefaultFormatMetadata',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(db_index=True, max_length=64, unique=True, verbose_name='Table Name')),
                ('title', models.CharField(max_length=128, verbose_name='Title')),
                ('plural', models.CharField(max_length=128, verbose_name='Plural Title')),
                ('storage_app_label', models.CharField(max_length=64, verbose_name='Database Table Name')),
                ('storage_model_name', models.CharField(max_length=64, verbose_name='Database Table Name')),
                ('custom_data', models.JSONField(default=dict, verbose_name='Schema Data')),
                ('custom_to_db_map', models.JSONField(blank=True, default=dict, verbose_name='Field Map')),
                ('db_to_custom_map', models.JSONField(blank=True, default=dict, verbose_name='Database Fields')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
            ],
        ),
        migrations.CreateModel(
            name='RestSpaFormatMetadata',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(db_index=True, max_length=64, unique=True, verbose_name='Table Name')),
                ('title', models.CharField(max_length=128, verbose_name='Title')),
                ('plural', models.CharField(max_length=128, verbose_name='Plural Title')),
                ('storage_app_label', models.CharField(max_length=64, verbose_name='Database Table Name')),
                ('storage_model_name', models.CharField(max_length=64, verbose_name='Database Table Name')),
                ('custom_data', models.JSONField(default=dict, verbose_name='Schema Data')),
                ('custom_to_db_map', models.JSONField(blank=True, default=dict, verbose_name='Field Map')),
                ('db_to_custom_map', models.JSONField(blank=True, default=dict, verbose_name='Database Fields')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
            ],
        ),
        migrations.CreateModel(
            name='RestSpaFormatCustomTable',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('static_string', models.CharField(max_length=32, verbose_name='Static String')),
                ('static_text', models.TextField(max_length=1024, verbose_name='Static Text')),
                ('ctf_indexed_char0000', models.CharField(blank=True, db_index=True, max_length=128, null=True)),
                ('ctf_indexed_char0001', models.CharField(blank=True, db_index=True, max_length=128, null=True)),
                ('ctf_indexed_char0002', models.CharField(blank=True, db_index=True, max_length=128, null=True)),
                ('ctf_indexed_char0003', models.CharField(blank=True, db_index=True, max_length=128, null=True)),
                ('ctf_indexed_char0004', models.CharField(blank=True, db_index=True, max_length=128, null=True)),
                ('ctf_indexed_char0005', models.CharField(blank=True, db_index=True, max_length=128, null=True)),
                ('ctf_indexed_char0006', models.CharField(blank=True, db_index=True, max_length=128, null=True)),
                ('ctf_indexed_char0007', models.CharField(blank=True, db_index=True, max_length=128, null=True)),
                ('ctf_indexed_char0008', models.CharField(blank=True, db_index=True, max_length=128, null=True)),
                ('ctf_indexed_char0009', models.CharField(blank=True, db_index=True, max_length=128, null=True)),
                ('ctf_char0000', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0001', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0002', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0003', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0004', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0005', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0006', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0007', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0008', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0009', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0010', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0011', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0012', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0013', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0014', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0015', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0016', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0017', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0018', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0019', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0020', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0021', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0022', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0023', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0024', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0025', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0026', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0027', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0028', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0029', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_indexed_integer0000', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0001', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0002', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0003', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0004', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0005', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0006', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0007', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0008', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0009', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0010', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0011', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0012', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0013', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0014', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0015', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0016', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0017', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0018', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0019', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_integer0000', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0001', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0002', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0003', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0004', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0005', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0006', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0007', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0008', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0009', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0010', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0011', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0012', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0013', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0014', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0015', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0016', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0017', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0018', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0019', models.IntegerField(blank=True, null=True)),
                ('ctf_text0000', models.TextField(blank=True, null=True)),
                ('ctf_text0001', models.TextField(blank=True, null=True)),
                ('ctf_text0002', models.TextField(blank=True, null=True)),
                ('ctf_text0003', models.TextField(blank=True, null=True)),
                ('ctf_text0004', models.TextField(blank=True, null=True)),
                ('ctf_text0005', models.TextField(blank=True, null=True)),
                ('ctf_text0006', models.TextField(blank=True, null=True)),
                ('ctf_text0007', models.TextField(blank=True, null=True)),
                ('ctf_text0008', models.TextField(blank=True, null=True)),
                ('ctf_text0009', models.TextField(blank=True, null=True)),
                ('ctf_text0010', models.TextField(blank=True, null=True)),
                ('ctf_text0011', models.TextField(blank=True, null=True)),
                ('ctf_text0012', models.TextField(blank=True, null=True)),
                ('ctf_text0013', models.TextField(blank=True, null=True)),
                ('ctf_text0014', models.TextField(blank=True, null=True)),
                ('ctf_text0015', models.TextField(blank=True, null=True)),
                ('ctf_text0016', models.TextField(blank=True, null=True)),
                ('ctf_text0017', models.TextField(blank=True, null=True)),
                ('ctf_text0018', models.TextField(blank=True, null=True)),
                ('ctf_text0019', models.TextField(blank=True, null=True)),
                ('ctf_text0020', models.TextField(blank=True, null=True)),
                ('ctf_text0021', models.TextField(blank=True, null=True)),
                ('ctf_text0022', models.TextField(blank=True, null=True)),
                ('ctf_text0023', models.TextField(blank=True, null=True)),
                ('ctf_text0024', models.TextField(blank=True, null=True)),
                ('ctf_text0025', models.TextField(blank=True, null=True)),
                ('ctf_text0026', models.TextField(blank=True, null=True)),
                ('ctf_text0027', models.TextField(blank=True, null=True)),
                ('ctf_text0028', models.TextField(blank=True, null=True)),
                ('ctf_text0029', models.TextField(blank=True, null=True)),
                ('ctf_float0000', models.FloatField(blank=True, null=True)),
                ('ctf_float0001', models.FloatField(blank=True, null=True)),
                ('ctf_float0002', models.FloatField(blank=True, null=True)),
                ('ctf_float0003', models.FloatField(blank=True, null=True)),
                ('ctf_float0004', models.FloatField(blank=True, null=True)),
                ('ctf_float0005', models.FloatField(blank=True, null=True)),
                ('ctf_float0006', models.FloatField(blank=True, null=True)),
                ('ctf_float0007', models.FloatField(blank=True, null=True)),
                ('ctf_float0008', models.FloatField(blank=True, null=True)),
                ('ctf_float0009', models.FloatField(blank=True, null=True)),
                ('ctf_boolean0000', models.BooleanField(blank=True, null=True)),
                ('ctf_boolean0001', models.BooleanField(blank=True, null=True)),
                ('ctf_boolean0002', models.BooleanField(blank=True, null=True)),
                ('ctf_boolean0003', models.BooleanField(blank=True, null=True)),
                ('ctf_boolean0004', models.BooleanField(blank=True, null=True)),
                ('ctf_boolean0005', models.BooleanField(blank=True, null=True)),
                ('ctf_boolean0006', models.BooleanField(blank=True, null=True)),
                ('ctf_boolean0007', models.BooleanField(blank=True, null=True)),
                ('ctf_boolean0008', models.BooleanField(blank=True, null=True)),
                ('ctf_boolean0009', models.BooleanField(blank=True, null=True)),
                ('ctf_datetime0000', models.DateTimeField(blank=True, null=True)),
                ('ctf_datetime0001', models.DateTimeField(blank=True, null=True)),
                ('ctf_datetime0002', models.DateTimeField(blank=True, null=True)),
                ('ctf_datetime0003', models.DateTimeField(blank=True, null=True)),
                ('ctf_datetime0004', models.DateTimeField(blank=True, null=True)),
                ('ctf_datetime0005', models.DateTimeField(blank=True, null=True)),
                ('ctf_datetime0006', models.DateTimeField(blank=True, null=True)),
                ('ctf_datetime0007', models.DateTimeField(blank=True, null=True)),
                ('ctf_datetime0008', models.DateTimeField(blank=True, null=True)),
                ('ctf_datetime0009', models.DateTimeField(blank=True, null=True)),
                ('ctf_decimal-1000-20000', models.DecimalField(blank=True, decimal_places=2, max_digits=1000, null=True)),
                ('ctf_decimal-1000-20001', models.DecimalField(blank=True, decimal_places=2, max_digits=1000, null=True)),
                ('ctf_decimal-1000-20002', models.DecimalField(blank=True, decimal_places=2, max_digits=1000, null=True)),
                ('ctf_decimal-1000-20003', models.DecimalField(blank=True, decimal_places=2, max_digits=1000, null=True)),
                ('ctf_decimal-1000-20004', models.DecimalField(blank=True, decimal_places=2, max_digits=1000, null=True)),
                ('ctf_decimal-1000-20005', models.DecimalField(blank=True, decimal_places=2, max_digits=1000, null=True)),
                ('ctf_decimal-1000-20006', models.DecimalField(blank=True, decimal_places=2, max_digits=1000, null=True)),
                ('ctf_decimal-1000-20007', models.DecimalField(blank=True, decimal_places=2, max_digits=1000, null=True)),
                ('ctf_decimal-1000-20008', models.DecimalField(blank=True, decimal_places=2, max_digits=1000, null=True)),
                ('ctf_decimal-1000-20009', models.DecimalField(blank=True, decimal_places=2, max_digits=1000, null=True)),
                ('metadata', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='example_app.restspaformatmetadata')),
            ],
            bases=(models.Model, custom_table.models.customizable.CustomizableMixin),
        ),
        migrations.CreateModel(
            name='DefaultFormatCustomTable',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='Created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Modified')),
                ('static_string', models.CharField(max_length=32, verbose_name='Static String')),
                ('static_text', models.TextField(max_length=1024, verbose_name='Static Text')),
                ('ctf_indexed_char0000', models.CharField(blank=True, db_index=True, max_length=128, null=True)),
                ('ctf_indexed_char0001', models.CharField(blank=True, db_index=True, max_length=128, null=True)),
                ('ctf_indexed_char0002', models.CharField(blank=True, db_index=True, max_length=128, null=True)),
                ('ctf_indexed_char0003', models.CharField(blank=True, db_index=True, max_length=128, null=True)),
                ('ctf_indexed_char0004', models.CharField(blank=True, db_index=True, max_length=128, null=True)),
                ('ctf_indexed_char0005', models.CharField(blank=True, db_index=True, max_length=128, null=True)),
                ('ctf_indexed_char0006', models.CharField(blank=True, db_index=True, max_length=128, null=True)),
                ('ctf_indexed_char0007', models.CharField(blank=True, db_index=True, max_length=128, null=True)),
                ('ctf_indexed_char0008', models.CharField(blank=True, db_index=True, max_length=128, null=True)),
                ('ctf_indexed_char0009', models.CharField(blank=True, db_index=True, max_length=128, null=True)),
                ('ctf_char0000', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0001', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0002', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0003', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0004', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0005', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0006', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0007', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0008', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0009', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0010', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0011', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0012', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0013', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0014', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0015', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0016', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0017', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0018', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0019', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0020', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0021', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0022', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0023', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0024', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0025', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0026', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0027', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0028', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_char0029', models.CharField(blank=True, max_length=128, null=True)),
                ('ctf_indexed_integer0000', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0001', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0002', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0003', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0004', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0005', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0006', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0007', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0008', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0009', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0010', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0011', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0012', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0013', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0014', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0015', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0016', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0017', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0018', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_indexed_integer0019', models.IntegerField(blank=True, db_index=True, null=True)),
                ('ctf_integer0000', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0001', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0002', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0003', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0004', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0005', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0006', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0007', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0008', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0009', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0010', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0011', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0012', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0013', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0014', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0015', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0016', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0017', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0018', models.IntegerField(blank=True, null=True)),
                ('ctf_integer0019', models.IntegerField(blank=True, null=True)),
                ('ctf_text0000', models.TextField(blank=True, null=True)),
                ('ctf_text0001', models.TextField(blank=True, null=True)),
                ('ctf_text0002', models.TextField(blank=True, null=True)),
                ('ctf_text0003', models.TextField(blank=True, null=True)),
                ('ctf_text0004', models.TextField(blank=True, null=True)),
                ('ctf_text0005', models.TextField(blank=True, null=True)),
                ('ctf_text0006', models.TextField(blank=True, null=True)),
                ('ctf_text0007', models.TextField(blank=True, null=True)),
                ('ctf_text0008', models.TextField(blank=True, null=True)),
                ('ctf_text0009', models.TextField(blank=True, null=True)),
                ('ctf_text0010', models.TextField(blank=True, null=True)),
                ('ctf_text0011', models.TextField(blank=True, null=True)),
                ('ctf_text0012', models.TextField(blank=True, null=True)),
                ('ctf_text0013', models.TextField(blank=True, null=True)),
                ('ctf_text0014', models.TextField(blank=True, null=True)),
                ('ctf_text0015', models.TextField(blank=True, null=True)),
                ('ctf_text0016', models.TextField(blank=True, null=True)),
                ('ctf_text0017', models.TextField(blank=True, null=True)),
                ('ctf_text0018', models.TextField(blank=True, null=True)),
                ('ctf_text0019', models.TextField(blank=True, null=True)),
                ('ctf_text0020', models.TextField(blank=True, null=True)),
                ('ctf_text0021', models.TextField(blank=True, null=True)),
                ('ctf_text0022', models.TextField(blank=True, null=True)),
                ('ctf_text0023', models.TextField(blank=True, null=True)),
                ('ctf_text0024', models.TextField(blank=True, null=True)),
                ('ctf_text0025', models.TextField(blank=True, null=True)),
                ('ctf_text0026', models.TextField(blank=True, null=True)),
                ('ctf_text0027', models.TextField(blank=True, null=True)),
                ('ctf_text0028', models.TextField(blank=True, null=True)),
                ('ctf_text0029', models.TextField(blank=True, null=True)),
                ('ctf_float0000', models.FloatField(blank=True, null=True)),
                ('ctf_float0001', models.FloatField(blank=True, null=True)),
                ('ctf_float0002', models.FloatField(blank=True, null=True)),
                ('ctf_float0003', models.FloatField(blank=True, null=True)),
                ('ctf_float0004', models.FloatField(blank=True, null=True)),
                ('ctf_float0005', models.FloatField(blank=True, null=True)),
                ('ctf_float0006', models.FloatField(blank=True, null=True)),
                ('ctf_float0007', models.FloatField(blank=True, null=True)),
                ('ctf_float0008', models.FloatField(blank=True, null=True)),
                ('ctf_float0009', models.FloatField(blank=True, null=True)),
                ('ctf_boolean0000', models.BooleanField(blank=True, null=True)),
                ('ctf_boolean0001', models.BooleanField(blank=True, null=True)),
                ('ctf_boolean0002', models.BooleanField(blank=True, null=True)),
                ('ctf_boolean0003', models.BooleanField(blank=True, null=True)),
                ('ctf_boolean0004', models.BooleanField(blank=True, null=True)),
                ('ctf_boolean0005', models.BooleanField(blank=True, null=True)),
                ('ctf_boolean0006', models.BooleanField(blank=True, null=True)),
                ('ctf_boolean0007', models.BooleanField(blank=True, null=True)),
                ('ctf_boolean0008', models.BooleanField(blank=True, null=True)),
                ('ctf_boolean0009', models.BooleanField(blank=True, null=True)),
                ('ctf_datetime0000', models.DateTimeField(blank=True, null=True)),
                ('ctf_datetime0001', models.DateTimeField(blank=True, null=True)),
                ('ctf_datetime0002', models.DateTimeField(blank=True, null=True)),
                ('ctf_datetime0003', models.DateTimeField(blank=True, null=True)),
                ('ctf_datetime0004', models.DateTimeField(blank=True, null=True)),
                ('ctf_datetime0005', models.DateTimeField(blank=True, null=True)),
                ('ctf_datetime0006', models.DateTimeField(blank=True, null=True)),
                ('ctf_datetime0007', models.DateTimeField(blank=True, null=True)),
                ('ctf_datetime0008', models.DateTimeField(blank=True, null=True)),
                ('ctf_datetime0009', models.DateTimeField(blank=True, null=True)),
                ('ctf_decimal-1000-20000', models.DecimalField(blank=True, decimal_places=2, max_digits=1000, null=True)),
                ('ctf_decimal-1000-20001', models.DecimalField(blank=True, decimal_places=2, max_digits=1000, null=True)),
                ('ctf_decimal-1000-20002', models.DecimalField(blank=True, decimal_places=2, max_digits=1000, null=True)),
                ('ctf_decimal-1000-20003', models.DecimalField(blank=True, decimal_places=2, max_digits=1000, null=True)),
                ('ctf_decimal-1000-20004', models.DecimalField(blank=True, decimal_places=2, max_digits=1000, null=True)),
                ('ctf_decimal-1000-20005', models.DecimalField(blank=True, decimal_places=2, max_digits=1000, null=True)),
                ('ctf_decimal-1000-20006', models.DecimalField(blank=True, decimal_places=2, max_digits=1000, null=True)),
                ('ctf_decimal-1000-20007', models.DecimalField(blank=True, decimal_places=2, max_digits=1000, null=True)),
                ('ctf_decimal-1000-20008', models.DecimalField(blank=True, decimal_places=2, max_digits=1000, null=True)),
                ('ctf_decimal-1000-20009', models.DecimalField(blank=True, decimal_places=2, max_digits=1000, null=True)),
                ('metadata', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='example_app.defaultformatmetadata')),
            ],
            bases=(models.Model, custom_table.models.customizable.CustomizableMixin),
        ),
    ]
